| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::DBusTubeParticipants Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- DBusTubeParticipants ()
- DBusTubeParticipants (const QMap< uint, QString > &a)
- DBusTubeParticipants & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt type system.

Represents the participants in a multi-user D-Bus tube, as used by the DBusNames property and the DBusNamesChanged signal.

## Constructor & Destructor Documentation

Tp::DBusTubeParticipants::DBusTubeParticipants | ( |  | ) | `[inline]`

Tp::DBusTubeParticipants::DBusTubeParticipants | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

DBusTubeParticipants& Tp::DBusTubeParticipants::operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`